<?php
/**
 *
 */
class plgHikashopGlobal_cart_fee extends hikashopPlugin {
	var $multiple = true;
	var $name = 'global_cart_fee';

	var $pluginConfig = array(
		'name' => array('Delivery Name', 'input'),
		'price' => array('Delivery price', 'input'),
		'taxrate' => array('Tax_rate(e.g. 6% = 1.06)','input'),
		'currencyid' =>array('CurrencyID','input')
	);

	function onAfterCartProductsLoad(&$cart) {
		$plugins = array();
		$this->listPlugins($this->name, $plugins, false, true);
		$app = JFactory::getApplication();
        $fields_data = $app->getUserState( HIKASHOP_COMPONENT.'.checkout_fields');
     
		if(!count($plugins)){
			return;
		}

		foreach($plugins as $plugin){
						
			
			
			$this->pluginParams($plugin);

			if(isset($cart->additional['global_cart_fee_'.$plugin]))
				continue;
			

			$additional = new stdClass();
			
			if(!empty($this->plugin_params->name)){
				$key = strtoupper($this->plugin_params->name);
			
				if(JText::_($key)!=$key){
					$this->plugin_params->name = JText::_($key);
				}
			}
			$additional->name = $this->plugin_params->name;
			
			$currencyClass = hikashop_get('class.currency');
			if(!empty($this->plugin_params->price)){
				
				$additional->price_currency_id = hikashop_getCurrency();
				$additional->input_currency = $this->plugin_params->currencyid;
				$additional->price_value = $this->plugin_params->price;
				$additional->price_value_with_tax = $this->plugin_params->price * $this->plugin_params->taxrate;
				if($additional->input_currency != $additional->price_currency_id ){
				$additional->price_value = $currencyClass->convertUniquePrice($additional->price_value, $additional->input_currency, $additional->price_currency_id );
				$additional->price_value_with_tax = $additional->price_value * $this->plugin_params->taxrate;}
				
				
			}else{
				$additional->price_currency_id = 0;
				$additional->price_value = 0;
				$additional->price_value_with_tax = 0;
			}
			

		
			if($fields_data->deliveryday_choose == '2'){
				
			$cart->additional['global_cart_fee_'.$plugin] = $additional;
			
			}else{
			$additional = '0';
			}
		}
	}
}